clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes | List of all members
clang::tidy::FileFilter Struct Reference

Contains a list of line ranges in a single file. More...

`#include <ClangTidyOptions.h>`

Collaboration diagram for clang::tidy::FileFilter:
[legend]

## Public Types
typedef std::pair< unsigned, unsigned > | LineRange
| LineRange is a pair<start, end> (inclusive). More...

## Public Attributes
std::string | Name
| File name. More...
std::vector< LineRange > | LineRanges
| A list of line ranges in this file, for which we show warnings. More...

## Detailed Description

Contains a list of line ranges in a single file.

Definition at line 28 of file ClangTidyOptions.h.

## Member Typedef Documentation

typedef std::pair<unsigned, unsigned> clang::tidy::FileFilter::LineRange

LineRange is a pair<start, end> (inclusive).

Definition at line 33 of file ClangTidyOptions.h.

## Member Data Documentation

std::vector<LineRange> clang::tidy::FileFilter::LineRanges

A list of line ranges in this file, for which we show warnings.

Definition at line 36 of file ClangTidyOptions.h.

Referenced by llvm::yaml::MappingTraits< FileFilter >::mapping(), and llvm::yaml::MappingTraits< FileFilter >::validate().

std::string clang::tidy::FileFilter::Name

File name.

Definition at line 30 of file ClangTidyOptions.h.

Referenced by llvm::yaml::MappingTraits< FileFilter >::mapping(), and llvm::yaml::MappingTraits< FileFilter >::validate().

The documentation for this struct was generated from the following file:

- ClangTidyOptions.h